Bug 1755238 - Buildah fails on RUN instructions
Summary: Buildah fails on RUN instructions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: buildah
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-25 06:59 UTC by Saggi Mizrahi
Modified: 2020-12-01 01:12 UTC (History)
6 users (show)

Fixed In Version: buildah-1.16.1-1.fc31 buildah-1.16.2-1.fc33 buildah-1.18.0-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-19 22:44:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Saggi Mizrahi 2019-09-25 06:59:59 UTC
Description of problem:
When using buildah the RUN action fails with the error:

STEP 1: FROM alpine:3
STEP 2: ADD ccls.tar.gz /tmp/
--> Using cache ad3310d8ac3331f7bf7cca61140a3ed6683bfff41a028db026fec2e0f626b3dc
STEP 3: RUN apk add clang-dev cmake make
2019-09-25T06:43:09.000432296Z: create '/sys/fs/cgroup/buildah-buildah243104258': Permission denied
error running container: error creating container for [/bin/sh -c apk add clang-dev cmake make]: : exit status 1
Error: error building at STEP "RUN apk add clang-dev cmake make": error while running runtime: exit status 1


Version-Release number of selected component (if applicable):

$ buildah version
Version:         1.11.2
Go Version:      go1.13rc1
Image Spec:      1.0.1
Runtime Spec:    1.0.1-dev
CNI Spec:        0.4.0
libcni Version:  
Git Commit:      
Built:           Thu Jan  1 02:00:00 1970
OS/Arch:         linux/amd64


How reproducible:

100%

Steps to Reproduce:
1. create a minimal Dockerfile with a RUN command
2. podman build .
3. profit

Actual results:

fails

Expected results:

succeeds

Additional info:

Comment 1 Fedora Update System 2020-09-09 14:14:08 UTC
FEDORA-2020-05fdeaf72f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-05fdeaf72f

Comment 2 Fedora Update System 2020-09-09 14:30:38 UTC
FEDORA-2020-b0af76a972 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b0af76a972

Comment 3 Fedora Update System 2020-09-09 14:52:10 UTC
FEDORA-2020-b67b1a3d94 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b67b1a3d94

Comment 4 Fedora Update System 2020-09-09 15:06:39 UTC
FEDORA-2020-1bc5e0d424 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1bc5e0d424

Comment 5 Fedora Update System 2020-09-09 15:50:31 UTC
FEDORA-2020-95504e8293 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-95504e8293

Comment 6 Fedora Update System 2020-09-10 15:48:23 UTC
FEDORA-2020-b67b1a3d94 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b67b1a3d94`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b67b1a3d94

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-09-10 18:25:56 UTC
FEDORA-2020-1bc5e0d424 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1bc5e0d424`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1bc5e0d424

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-10 18:29:03 UTC
FEDORA-2020-95504e8293 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-95504e8293`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-95504e8293

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-11 20:18:49 UTC
FEDORA-2020-fda7933cf6 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fda7933cf6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fda7933cf6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-09-12 16:40:19 UTC
FEDORA-2020-3961179c09 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3961179c09`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3961179c09

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-12 17:18:06 UTC
FEDORA-2020-b0158fdf91 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b0158fdf91`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b0158fdf91

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-09-19 22:44:51 UTC
FEDORA-2020-3961179c09 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-09-23 15:26:25 UTC
FEDORA-2020-23c1cedc6a has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-23c1cedc6a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-23c1cedc6a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-09-23 17:21:37 UTC
FEDORA-2020-e1160edcc9 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e1160edcc9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e1160edcc9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-10-02 00:33:47 UTC
FEDORA-2020-23c1cedc6a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-10-03 02:09:24 UTC
FEDORA-2020-5ef068d409 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5ef068d409`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5ef068d409

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-10-23 23:51:09 UTC
FEDORA-2020-b9d82abea9 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b9d82abea9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b9d82abea9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2020-11-10 02:20:23 UTC
FEDORA-2020-279f04d771 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-279f04d771`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-279f04d771

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-11-17 02:05:52 UTC
FEDORA-2020-b18837a581 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b18837a581`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b18837a581

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-12-01 01:12:47 UTC
FEDORA-2020-b18837a581 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.